=== debian/changelog ===
mtail (3.0.0~rc52-1) unstable; urgency=medium

  * New upstream release.
  * Automatic fixes from cme: remove outdated versioned
    dependencies, remove conflicts with packages no longer in debian, update
    Standards-Version (no changes), and other automated changes.
  * debian/control: Add versioned dependency on client-golang.
  * debian/patches: Refresh patches.
  * debian/lintian-overrides: Add overrides for known issues.

 -- Martina Ferrari <tina@debian.org>  Mon, 25 Sep 2023 20:23:42 +0000
