=== debian/control ===
Source: mtail
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-golang-groupcache-dev,
               golang-github-google-go-cmp-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev (>= 1.11~),
               golang-glog-dev,
               golang-go | gccgo,
               golang-go.opencensus-dev,
               golang-golang-x-tools,
               tzdata,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
Homepage: https://github.com/google/mtail/
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/google/mtail

Package: mtail
Architecture: any
Depends: adduser,
         tzdata,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Extract monitoring data from logs for collection in a timeseries database
 Mtail is a tool for extracting metrics from application logs to be exported
 into a timeseries database or timeseries calculator for alerting and
 dashboarding.
 .
 It aims to fill a niche between applications that do not export their own
 internal state, and existing monitoring systems, without patching those
 applications or rewriting the same framework for custom extraction glue code.
 .
 Metrics are exported for scraping by a collector as JSON or Prometheus format
 over HTTP, or can be periodically sent to a collectd, StatsD, or Graphite
 collector socket.
