=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

#export DH_VERBOSE=1
export DH_GOPKG := github.com/google/mtail
export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/cmd/mgen $(DH_GOPKG)/cmd/mdot
export DH_GOLANG_INSTALL_EXTRA := examples/ \
    internal/mtail/golden/ internal/mtail/testdata/ \
    internal/runtime/compiler/parser/parser.y
# Build parser.go
export DH_GOLANG_GO_GENERATE := 1

BUILDDIR := $(CURDIR)/build
BUILDFLAGS = -ldflags \
  " -X main.Version=$(DEB_VERSION_UPSTREAM)\
    -X main.Revision=$(DEB_VERSION)\
    -X main.Branch=$(DEB_VENDOR)/$(DEB_DISTRIBUTION)"

TEST_TIMEOUT := 100s
TESTRACE_TIMEOUT := 20m

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

# Use longer internal timeouts.
override_dh_auto_test: export CI = true
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -timeout $(TEST_TIMEOUT)
	# Only run race tests on amd64.
	test "$(DEB_HOST_ARCH_CPU)" != amd64 || \
	    dh_auto_test -- -timeout $(TESTRACE_TIMEOUT) -race -tags=integration
endif

override_dh_installinit:
	dh_installinit --no-enable --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_install:
	dh_auto_install -- --no-source
