## mtail 3.0.0~rc54+git0ff5

=== debian/changelog ===
mtail (3.0.0~rc54+git0ff5-1) unstable; urgency=medium

  * New upstream snapshot; I had to include recent commits to fix API
    incompatibility with prometheus/common library. Closes: #1067352
  * Refresh 01-remove-jaeger.patch.

 -- Martina Ferrari <tina@debian.org>  Fri, 05 Apr 2024 04:02:35 +0000
