=== debian/changelog ===
mtail (3.0.9-1) unstable; urgency=medium

  * New upstream (non RC!) release.
  * Refresh 01-remove-jaeger.patch.
  * Set versioned dependency on golang-glog-dev.
  * Update Standards-Version to 4.7.0 (no changes).
  * Update copyright years.

 -- Martina Ferrari <tina@debian.org>  Mon, 19 Aug 2024 04:53:22 +0000
