=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                golang-github-google-go-cmp-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev (>= 1.11~),
-               golang-glog-dev,
+               golang-glog-dev (>= 1.2.0~),
                golang-go | gccgo,
                golang-go.opencensus-dev,
                golang-golang-x-tools,
                tzdata,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/
