## mtail 3.2.1

=== debian/changelog ===
mtail (3.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.

  [ Jamie Wilkinson ]
  * Update watch file for new upstream location.

  [ Martina Ferrari ]
  * Update upstream references to use new repository.
  * Bump Standards-Version with no changes.
  * Migrate to Static-Build-Using.
  * d/service: adopt some hardening options from upstream.
  * d/default: do not list daemon options.
    Including all daemon options in this file requires manual updates on each
    new version, which is error- prone. Run `mtail -help` instead.
  * d/init: do not start if $LOGS is not set.
  * d/rules: restart service after upgrades.
  * Refresh patches.
  * Revert commit 688cb6ef to avoid new dependency.
  * Update dependencies and included files for new version.

 -- Martina Ferrari <tina@debian.org>  Sun, 18 May 2025 20:20:39 +0000
