=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mtail-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/jaqx0r/mtail/tags .*/v?(\d\S*)\.tar\.gz
