=== debian/changelog ===
mtail (3.2.24-2) unstable; urgency=medium

  * Re-upload to unstable without source changes (previous release was
    uploaded to experimental by mistake).

 -- Martina Ferrari <tina@debian.org>  Sun, 09 Nov 2025 21:37:10 +0000

mtail (3.2.24-1) experimental; urgency=medium

  * New upstream version.
  * debian/watch: Update to v5.

 -- Martina Ferrari <tina@debian.org>  Sun, 09 Nov 2025 20:51:50 +0000
