=== debian/control ===
--- 
+++ 
@@ -15,14 +15,16 @@
                golang-glog-dev (>= 1.2.0~),
                golang-go | gccgo,
                golang-go.opencensus-dev,
+               golang-golang-x-sys-dev,
                golang-golang-x-tools,
+               golang-opentelemetry-otel-dev,
                tzdata,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
-Homepage: https://github.com/google/mtail/
+Homepage: https://github.com/jaqx0r/mtail/
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/google/mtail
+XS-Go-Import-Path: github.com/jaqx0r/mtail
 
 Package: mtail
 Architecture: any
@@ -30,7 +32,7 @@
          tzdata,
          ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Static-Built-Using},
 Description: Extract monitoring data from logs for collection in a timeseries database
  Mtail is a tool for extracting metrics from application logs to be exported
  into a timeseries database or timeseries calculator for alerting and
