=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 include /usr/share/dpkg/vendor.mk
 
 #export DH_VERBOSE=1
-export DH_GOPKG := github.com/google/mtail
+export DH_GOPKG := github.com/jaqx0r/mtail
 export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/cmd/mgen $(DH_GOPKG)/cmd/mdot
 export DH_GOLANG_INSTALL_EXTRA := examples/ \
     internal/mtail/golden/ internal/mtail/testdata/ \
-    internal/runtime/compiler/parser/parser.y
+    internal/runtime/compiler/parser/parser.y \
+    internal/mtail/logo.ico
 # Build parser.go
 export DH_GOLANG_GO_GENERATE := 1
 
@@ -38,10 +39,10 @@
 endif
 
 override_dh_installinit:
-	dh_installinit --no-enable --no-start
+	dh_installinit --no-enable --no-start --restart-after-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --no-enable --no-start
+	dh_installsystemd --no-enable --no-start --restart-after-upgrade
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
