=== debian/watch ===
Version: 5

Template: GitHub
Owner: jaqx0r
Project: mtail
Dversion-Mangle: auto
Uversion-Mangle: auto
